Download it now!
Bug 115675 - Shape selection breaks after changing position or size from the sidebar
Summary: Shape selection breaks after changing position or size from the sidebar
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords: bibisected, bisected, needUITest, regression
Depends on:
Blocks: Sidebar-Properties-PositionAndSize Regressions-Dialog-Tunneling
  Show dependency treegraph
 
Reported: 2018-02-13 09:48 UTC by Buovjaga
Modified: 2020-04-19 00:48 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2018-02-13 09:48:35 UTC
1. Add shape
2. With the shape selected, open sidebar, properties, position and size, adjust any value
3. You cannot unselect the shape

If you add a new slide, the shape selection is dropped, but you cannot re-select it.

This is not yet seen in 6.0.1

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: 1c8f53ae76b18c015095c9998df617a7800370ce
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on February 13th 2018
Comment 1 Xisco Faulí 2018-02-13 11:55:49 UTC
Regression introduced by:

author	Jan Holesovsky <kendy@collabora.com>	2018-01-17 15:20:31 +0100
committer	Jan Holesovsky <kendy@collabora.com>	2018-01-18 15:18:16 +0100
commit	d3dbbdce4eb71ae848e7682374e011c4a6129b15 (patch)
tree	c27c21e950212b14fa441d0b3bc8280047907305
parent	e6e125946358865990ea999c8a4845ec84eb7088 (diff)
lokdialog: Convert the Format -> ... -> Position and Size... to async exec.

Bisected with: bibisect-linux64-6.1

Adding Cc: to Jan Holesovsky
Comment 2 OfficeUser 2018-02-13 18:41:29 UTC
Is there any bug report assigned with Jan's patch?
Comment 3 Jan Holesovsky 2018-03-15 17:41:11 UTC
Fixed now, thanks for the report & bisect! :-)
Comment 4 Commit Notification 2018-03-15 17:41:49 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5372d8022dd8ce8aaa3090014b319727e88b17f1

tdf#115675: Shape selection was breaking when changing pos/size from sidebar.

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2018-03-28 15:03:49 UTC
Verified in

Version: 6.1.0.0.alpha0+
Build ID: 8329f4541e27402d19729ae1588af8bfe61f7b49
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

Thank you Kendy!